#include <stdio.h>
#include <ctype.h>

void find( char *str, char **first_vowel, char **last_vowel ) {

    char *p = str;

    *first_vowel = NULL;
    *last_vowel  = NULL;

    while ( *p ) {
        char ch = tolower(*p);

        if ( ch == 'a' || ch == 'e' || ch == 'i' || ch == 'o' || ch == 'u' ) {
            if ( *first_vowel == NULL ) {
                *first_vowel = p;
            }
            *last_vowel = p;
        }
        p++;
    }
}

int main( void ) {
    char *str = "Now is the time for lunch.";

    char *first_vowel;
    char *last_vowel;

    find( str, &first_vowel, &last_vowel );

    printf( "First vowel = %c at position %d\n", *first_vowel, first_vowel - str );
    printf( "Last vowel  = %c at position %d\n", *last_vowel,  last_vowel - str );

    return 0;
}
