#include <stdio.h>
#include <math.h>

int main( void ) {
    int n = 254;
    float pi = M_PI;

    printf( "%%d decimal = [%d]\n", n );
    printf( "%%o octal   = [%o]\n", n );
    printf( "%%x hex     = [%x]\n", n );
    printf( "%%X Hex     = [%X]\n", n );
    printf( "%%04X hex   = [%04X]\n", n );
    puts( "" );

    printf( "%%d         = [%d]\n", n );
    printf( "%%5d        = [%5d]\n", n );
    printf( "%%05d       = [%05d]\n", n );
    puts( "" );

    printf( "%%f         = [%f]\n", pi );
    printf( "%%5f        = [%5f]\n", pi );
    printf( "%%.2f       = [%.2f]\n", pi );
    printf( "%%7.2f      = [%7.2f]\n", pi );
    printf( "%%-7.2f     = [%-7.2f]\n", pi );
    printf( "%%07.2f     = [%07.2f]\n", pi );
    printf( "%%7.5f      = [%7.5f]\n", pi );
    printf( "%%-7.4f     = [%-7.4f]\n", pi );

    return 0;
}
